Page MenuHomePhabricator

[Task] Make DataModel Serialization SerializerFactory support custom entity types
Closed, DeclinedPublic

Description

SerializerFactory currently only supports Items and Properties. To change this, the logic that currently resides in WikibaseRepo::getEntitySerializer() should be moved to SerializerFactory::newEntitySerializer(). WikibaseRepo::getEntitySerializer() should just delegate to SerializerFactory.

Patches for review:

Related Objects

Event Timeline

daniel created this task.Feb 8 2017, 6:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 8 2017, 6:59 PM
thiemowmde renamed this task from Make SerializerFactory support custom entity types to [Task] Make DataModel Serialization SerializerFactory support custom entity types.Feb 9 2017, 12:14 PM
thiemowmde claimed this task.
thiemowmde updated the task description. (Show Details)
thiemowmde moved this task from Proposed to Review on the Wikidata-Former-Sprint-Board board.
thiemowmde moved this task from incoming to in progress on the Wikidata board.
thiemowmde added a subscriber: thiemowmde.

Change 336781 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Use new DataModel Serialization 2.3 factory feature

https://gerrit.wikimedia.org/r/336781

thiemowmde updated the task description. (Show Details)Feb 9 2017, 12:17 PM
thiemowmde closed this task as Declined.Feb 20 2017, 11:52 AM

Change 338749 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Better names for WikibaseRepo/Client (de)serializer factory methods

https://gerrit.wikimedia.org/r/338749

Change 336781 abandoned by Thiemo Mättig (WMDE):
Use new DataModel Serialization 3.0 factories features

Reason:
Wrong approach, this component is not supposed to support other entity types. See Ic126c46 instead.

https://gerrit.wikimedia.org/r/336781

If the Serializer returned by SerializerFactory::newEntitySerializer() is not meant to support custom entity types, we should remove it, or at least stop using it. See T160436.

If there was a user of this, it was an accident. The actual issue we had got fixed with https://gerrit.wikimedia.org/r/342642. Discussion continues in T160436 and T160439.